<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ShortMe - Shorten URL that will never expire...</title>
    <link rel="shortcut icon" href="images/fav_icon.png" type="image/x-icon">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,700" rel="stylesheet">
    <!-- Bulma Version 0.7.4-->
    <link rel="stylesheet" href="https://unpkg.com/bulma@0.7.4/css/bulma.min.css" />
    <link rel="stylesheet" type="text/css" href="css/shortme.css">
</head>

<body>
    <section class="hero is-info is-fullheight">
            <div class="hero-body">
                <div class="container has-text-centered">
                    <div class="column is-6 is-offset-3">
                        <p class="title is-1">
                            ShortMe
                        </p>
                        <p class="subtitle is-5">
                            Shorten URL that will never expire...
                        </p>

                        <form action="/shorten" method="POST">
                            <div class="field has-addons">
                                <p class="control is-expanded">
                                    <input class="input is-medium is-rounded" type="url" name="url" pattern="https?://.+" required placeholder="Insert a valid URL to get shorten...">
                                </p>
                                <p class="control">
                                    <input class="button is-medium is-rounded is-info" type="submit" value="ShortMe">
                                </p>
                            </div>
                        </form>

                        <div class="content"><p><br></p></div>
                    % if 'shorturl' in locals():
                        <div class="content is-medium">
                            <p class="subtitle" id="longurl">
                                <b>Original URL</b><br>
                                {{longurl}}
                                <br><br>
                                <b>Shorten URL</b><br>
                                {{shorturl}}
                            </p>
                            <p class="buttons is-centered has-addons">
                                <a class="button is-rounded is-white is-outlined" href="#" data-clipboard-target="#shorturl">
                                    <span class="icon">
                                        <i class="fa fa-clone" aria-hidden="true"></i>
                                    </span>
                                    <span>Copy</span>
                                </a>
                                <a class="button is-rounded is-white is-outlined" href="{{shorturl}}" target="_blank">
                                    <span class="icon">
                                        <i class="fa fa-external-link" aria-hidden="true"></i>
                                    </span>
                                    <span>Open</span>
                                </a>
                                <a class="button is-rounded is-white is-outlined" href="{{shortstats}}">
                                    <span class="icon">
                                        <i class="fa fa-bar-chart" aria-hidden="true"></i>
                                    </span>
                                    <span>Stat</span>
                                </a>
                                <a class="button is-rounded is-white is-outlined" href="/">
                                    <span class="icon">
                                        <i class="fa fa-eraser" aria-hidden="true"></i>
                                    </span>
                                    <span>Clean</span>
                                </a>
                            </p>
                        </div>
                    % else:
                        <br><br><br><br><br><br>
                    % end
                    </div>
                </div>
            </div>
        </div>
    </section>

    <footer class="footer">
            <div class="container">
              <div class="content has-text-centered">
                <p>
                  <strong>ShortMe</strong> by <a href="#">Fahmi Salleh</a>. The source code is licensed
                  <a href="https://opensource.org/licenses/mit-license.php" class="is-warning">MIT</a>. The website content
                  is licensed <a href="http://creativecommons.org/licenses/by-nc-sa/4.0/">CC ANS 4.0</a>.
                </p>
              </div>
            </div>
    </footer>

    <!-- <script async type="text/javascript" src="../js/bulma.js"></script> -->
        <!-- https://clipboardjs.com -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.0/clipboard.min.js"></script>
    <script>
        var clipboard = new ClipboardJS('.button');
    </script>
</body>

</html>